package com.liquidnet.service.sweet.utils;

import com.liquidnet.service.base.PagedResult;
import com.liquidnet.service.sweet.dto.vo.admin.SweetIntegralActivityPrizeVo;
import com.liquidnet.service.sweet.entity.SweetIntegralActivityDraw;
import com.liquidnet.service.sweet.entity.SweetIntegralActivityPrize;

import java.util.ArrayList;

public class SweetNewObjectUtil {
    private static final ArrayList<SweetIntegralActivityPrizeVo> sweetIntegralActivityPrizeVoArrayList = new ArrayList<>();
    private static final ArrayList<SweetIntegralActivityPrize> sweetIntegralActivityPrizeArrayList = new ArrayList<>();
    private static final ArrayList<SweetIntegralActivityDraw> sweetIntegralActivityDrawArrayList = new ArrayList<>();
    private static final PagedResult<SweetIntegralActivityDraw> sweetIntegralActivityDrawPagedResult = new PagedResult<>();

    public static ArrayList<SweetIntegralActivityPrizeVo> getSweetIntegralActivityPrizeVoArrayList() {
        return (ArrayList<SweetIntegralActivityPrizeVo>) sweetIntegralActivityPrizeVoArrayList.clone();
    }

    public static ArrayList<SweetIntegralActivityDraw> getSweetIntegralActivityDrawArrayList() {
        return (ArrayList<SweetIntegralActivityDraw>) sweetIntegralActivityDrawArrayList.clone();
    }

    public static PagedResult<SweetIntegralActivityDraw> getSweetIntegralActivityDrawPagedResult() {
        return (PagedResult<SweetIntegralActivityDraw>) sweetIntegralActivityDrawPagedResult.clone();
    }

    public static ArrayList<SweetIntegralActivityPrize> getSweetIntegralActivityPrizeArrayList() {
        return (ArrayList<SweetIntegralActivityPrize>) sweetIntegralActivityPrizeArrayList.clone();
    }

}
